data is an array of{ date, certifications[] } (like each date bucket in partner contracts/grouped, without in_process/completed split).start_date ascending (overridable with sort_by / sort_order). Pagination applies to certifications;date_filter, start_date/end_date, year/month) are not applied to this catalogcreated_at and could hide all upcoming sessions). Use search (q) andcurl --location '/api/v1/certifications?page=undefined&per_page=undefined&sort_by=undefined&sort_order=undefined&q=undefined&service_id=1&sub_service_id=1&kind=online' \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": [
{
"date": "2025-01-15",
"certifications": [
{
"id": 1,
"name": "AC Installation Certification",
"kind": "online",
"start_date": "2025-01-15T09:00:00Z",
"sub_service": {
"id": 1,
"name": "AC Installation"
},
"service": {
"id": 1,
"name": "HVAC"
}
}
]
},
{
"date": "2025-02-01",
"certifications": [
{
"id": 2,
"name": "Refrigerator Repair Certification",
"kind": "offline",
"start_date": "2025-02-01T09:00:00Z",
"location": "Jakarta Convention Center",
"sub_service": {
"id": 2,
"name": "Refrigerator Repair"
},
"service": {
"id": 1,
"name": "HVAC"
}
}
]
}
],
"meta": {
"page": 1,
"per_page": 20,
"total_count": 15,
"total_pages": 1,
"prev_page": null,
"next_page": null
}
}